%def_enable pdfdocs

Name: toshutils
Version: 2.0.1
Release: alt1

Summary: Console utilities for Toshiba(tm) notebooks

License: GPL
Group: System/Configuration/Hardware
Url: http://www.buzzard.org.uk/toshiba

Source: %url/%name-%version.tar.gz
Patch0: %name-%version-alt-makefile-fixes.patch
Patch1: %name-%version-alt-man-fix.patch

BuildPreReq: XFree86-devel XFree86-utils flex gtk+-devel xpm-devel
BuildPreReq: kernel-headers-std

%if_enabled pdfdocs
BuildPreReq: tetex-latex
%endif

%description
This package contains console utilities for Toshiba(tm) notebooks
with native Toshiba(tm) BIOS:
  fan         - turn the cooling fan on/off
  svpw        - set the supervisor password
  tpasswd     - set the user password
  thotswap    - hotswap devices in the SelectBay
  tdocked     - determine docked status of laptop
  alarm       - select an alarm power on time
  tbacklight  - turn the backlight on/off
  ownerstring - change the ownerstring on the laptop

%description -l ru_RU.CP1251
    Toshiba(tm):
  fan         - / 
  svpw        -   
  tpasswd     -   
  thotswap    - "" /   SelectBay
  tdocked     -      
  alarm       -   
  tbacklight  - /  
  ownerstring -       

%package x11
Summary: X11 utilities for Toshiba(tm) notebooks
Group: System/Configuration/Hardware
Requires: %name = %version-%release

%description x11
This package contains X11 utilities for Toshiba(tm) notebooks
with native Toshiba(tm) BIOS:
  dispswitch   - select internal/external/simultaneous video output on
                 Librettos
  hotkey       - report on Fn+F2/F3 and F4 changes
  wmtuxtime    - WindowMaker power save applet (can be run under
                 GNOME/KDE/...)
  tuxtime-conf - power saving, alarm power on and speaker volume settings

%description x11 -l ru_RU.CP1251
    Toshiba(tm):
  dispswitch   -   (//) 
                   Libretto
  hotkey       -      Fn+F2,F3,F4
  wmtuxtime    -   WindowMaker    
  tuxtime-conf -   ,   
                    

%if_enabled pdfdocs
%package docs
Summary: Docs about Toshiba(tm) notebooks configuration interfaces
Group: System/Configuration/Hardware

%description docs
This package contains technical documentation about System Configuration
Interface on Toshiba(tm) laptops. This interface is used in utilities from
toshutils and toshutils-x11.

Install this package if you are developing such utilities.

%description docs -l ru_RU.CP1251
       
      
Toshiba(tm),      toshutils  toshutils-x11.

  ,     .
%endif #pdfdocs

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
%configure
make depend
%make_build
#__mv src/dispswitch src/dispswitch-gtk
#add_optflags -DNO_X11
#make dispswitch -C src

%if_enabled pdfdocs
%make doc -C doc
%endif

%install
%__mkdir_p $RPM_BUILD_ROOT{%_bindir,%_sbindir,%_x11bindir}
%makeinstall DESTDIR=$RPM_BUILD_ROOT
%__mv $RPM_BUILD_ROOT%_bindir/wmtuxtime $RPM_BUILD_ROOT%_x11bindir/
# available only for superuser
%__mv $RPM_BUILD_ROOT%_bindir/{ownerstring,svpw,thotswap,tpasswd} $RPM_BUILD_ROOT%_sbindir

%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/modutils.d
echo 'alias char-major-10-181 toshiba' > $RPM_BUILD_ROOT%_sysconfdir/modutils.d/%name


%if_enabled pdfdocs
%__mkdir_p $RPM_BUILD_ROOT%_defaultdocdir/%name-docs-%version
%__cp doc/*.pdf $RPM_BUILD_ROOT%_defaultdocdir/%name-docs-%version
%endif

%files
%_sysconfdir/modutils.d/%name
%_bindir/fan
%_bindir/tdocked
%_bindir/alarm
%_bindir/tbacklight
#_bindir/dispswitch
%_sbindir/*
%_mandir/man?/fan*
%_mandir/man?/svpw*
%_mandir/man?/tpasswd*
%_mandir/man?/thotswap*
%_mandir/man?/tdocked*
%_mandir/man?/alarm*
%_mandir/man?/tbacklight*
%_mandir/man?/ownerstring*
#_mandir/man?/dispswitch*
%doc CONTRIBUTE ChangeLog FAQ README README.hotkey TODO src/fnfind contrib/

%files x11
#_bindir/dispswitch-gtk
%_bindir/dispswitch
%_bindir/hotkey
%_bindir/tuxtime-conf
%_x11bindir/wmtuxtime
%_mandir/man?/hotkey*
%_mandir/man?/wmtuxtime*
%_mandir/man?/tuxtime-conf*
%_mandir/man?/dispswitch*

%if_enabled pdfdocs
%files docs
%_defaultdocdir/%name-docs-%version
%endif

%changelog
* Sat Feb 12 2004 Andrey Rahmatullin <wrar@altlinux.ru> 2.0.1-alt1
- initial build
